
// Define the pins we're going to call pinMode on
int led2 = D7; // This one is the built-in tiny one to the right of the USB jack
int delayMilliseconds = 500; // how long to light and unlight LED. Set via LEDSpeed function.

int LEDSpeed75(String args)
// ignore the args and set delayMilliseconds to 75 and return 0
{

  delayMilliseconds = 75;

  return 0;
}

int LEDSpeedString(String args)
// if args is "fifty" then set delayMilliseconds to 50 and return 0
// else return 1.
{

  int rtnCode = 0;
  if (args == "fifty") {
    
    delayMilliseconds = 50;
    rtnCode = 0;
  
  } else {
  
    rtnCode = 1;
  
  }

  return rtnCode;

}

// This routine runs only once upon reset
void setup() {
  // Initialize D7 pin as output
  // It's important you do this here, inside the setup() function rather than outside it or in the loop function.
  pinMode(led2, OUTPUT);

  //how to talk to the core
  //Functions
  Spark.function("LEDBlinkTo75", LEDSpeed75);
  Spark.function("LEDBlinkToString", LEDSpeedString);

  //Variables
  Spark.variable("delayMSec", &delayMilliseconds, INT);
  Spark.variable("LED2Pin", &led2, INT);

}


// This routine gets called repeatedly, like once every 5-15 milliseconds.
// Spark firmware interleaves background CPU activity associated with WiFi + Cloud activity with your code.
// Make sure none of your code delays or blocks for too long (like more than 5 seconds), or weird things can happen.
void loop() {

    // Turn ON the LED pins
    digitalWrite(led2, HIGH);
    delay(delayMilliseconds);               // Wait for 1000mS = 1 second

    // Turn OFF the LED pins
    digitalWrite(led2, LOW);
    delay(delayMilliseconds);  // Wait for 1 second in off mode

}
